
rollout CoolButtonsRollout "Cool Buttons" width:288 height:304
(
	coolbutton btnTitle "Cool Buttons" pos:[0,0] width:270 height:18 \
		alwaysShowBorder:true	\
		textDownOffset:[0,0]	\
		backColor:		((colorMan.getColor #rollupTitleFace * 255) as color) \
		backColorOver:	((colorMan.getColor #rollupTitleFace * 255) as color) \
		backColorDown:	((colorMan.getColor #rollupTitleFace * 255) as color) \
		textColor:		((colorMan.getColor #rollupTitleText * 255) as color) \
		textColorOver:	((colorMan.getColor #rollupTitleText * 255) as color) \
		textColorDown:	((colorMan.getColor #rollupTitleText * 255) as color) \
		borderColor1:	((colorMan.getColor #rollupTitleHilight * 255) as color) \
		borderColor2:	((colorMan.getColor #rollupTitleHilight * 255) as color)
	
	
	coolbutton btnClose "" pos:[270,0] width:18 height:18 \
		images:#(
			 scriptsPath + "rezn8/CoolButton/close.bmp",
			 scriptsPath + "rezn8/CoolButton/close_mask.bmp",
			 4, -- count
			 1, -- up
			 2, -- down
			 3, -- over
			 1, -- down and out
			 4 ) -- disabled


	coolbutton btn1 "Default" pos:[16,40] width:100 height:32
		
	coolbutton btn2 "Always Show Border" pos:[140,40] width:100 height:32 \
		alwaysShowBorder:true
		
	coolbutton btn3 "Text Alignment" pos:[16,100] width:100 height:32 \
		horizontalAlignment:#align_left \
		verticalAlignment:#align_bottom \
		textPadding:[2,2]
	
	coolbutton btn4 "Text Offsets" pos:[140,100] width:100 height:32 \
		textOffset:[10,0] \
		textDownOffset:[-10,0]

	coolbutton btn5 "State Colors" pos:[16,160] width:100 height:32 \
		backColor:(color 100 100 200) \
		textColor:(color 200 200 200) \
		backColorOver:(color 80 80 255) \
		textColorOver:white \
		backColorDown:(color 110 110 180) \
		textColorDown:black \
		borderColor1:white \
		borderColor2:black
		
	coolbutton btn6 "Disabled Colors" pos:[140,160] width:100 height:32 \
		enabled:false \
		backColorDisabled:white \
		textColorDisabled1:(color 100 100 255) \
		textColorDisabled2:gray
		
	coolbutton btn7 "Check Button" pos:[16,220] width:100 height:32 \
		checkButton:true \
		checked:false \
		backColorDown:yellow
		
	coolbutton btn8 "Check Button" pos:[140,220] width:100 height:32 \
		alwaysShowBorder:true \
		checkButton:true \
		checked:false \
		backColorDown:yellow
	
	on btn7 changed state do
		format "btn7 changed to: %\n" state
		
	on btn8 changed state do
		format "btn8 changed to: %\n" state
		
	on btnClose pressed do
		DestroyDialog CoolButtonsRollout		
)

createDialog CoolButtonsRollout style:#(#style_border)
